echo off
if not "%JTA_HOME%" == "" goto jtaHomeSet
echo.
echo WARNING: PLEASE SET ENVIRONMENT VARIABLE JTA_HOME FOR BEST RESULTS
echo WARNING: guessing JTA_HOME - this may not work on all systems
set JTA_HOME=%cd%

:jtaHomeSet
set CLASSPATH=""
for /F "delims==" %%i in ('dir /S/B "%JTA_HOME%\lib\*.jar"') do (
	call appendToCP.bat "%%i"
)

for /F "delims==" %%i in ('dir /S/B "%JTA_HOME%\dist\*.jar"') do (
	call appendToCP.bat "%%i"
)

for /F "delims==" %%i in ('dir /S/B "%JTA_HOME%\examples\lib\*.jar"') do (
	call appendToCP.bat "%%i"
)
call appendToCP.bat "%JTA_HOME%\examples\jse"
call appendToCP.bat "%JTA_HOME%\examples\spring"
call appendToCP.bat "."

echo
echo Using JTA_HOME=%JTA_HOME%
echo Using CLASSPATH=%CLASSPATH%
echo.

